libqt5qml5_5.9.5-0ubuntu1_i386.deb


Advertisement

Description

libqt5qml5 - Qt 5 QML module

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libqt5qml5
Package version 5.9.5
Package release 0ubuntu1
Package architecture i386
Package type deb
Installed size 4.86 KB
Download size 1.33 MB
Official Mirror archive.ubuntu.com
Qt is a cross-platform C++ application framework. Qt's primary feature
is its rich set of widgets that provide standard GUI functionality.
The Qt QML module provides a framework for developing applications and
libraries with the QML language. It defines and implements the language
and engine infrastructure, and provides an API to enable application
developers to extend the QML language with custom types and integrate
QML code with JavaScript and C++.

Alternatives

Package Version Architecture Repository
libqt5qml5_5.9.5-0ubuntu1_amd64.deb 5.9.5 amd64 Ubuntu Universe
libqt5qml5 - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.4
libqt5core5a >= 5.9.0~beta
libqt5network5 >= 5.0.2
libstdc++6 >= 5
qtbase-abi-5-9-5 -

Provides

Name Value
qtdeclarative-abi-5-9-5 -

Download

Type URL
Binary Package libqt5qml5_5.9.5-0ubuntu1_i386.deb
Source Package qtdeclarative-opensource-src

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqt5qml5 deb package:
    # sudo apt-get install libqt5qml5

Files

Path
/usr/lib/i386-linux-gnu/libQt5Qml.so.5
/usr/lib/i386-linux-gnu/libQt5Qml.so.5.9
/usr/lib/i386-linux-gnu/libQt5Qml.so.5.9.5
/usr/lib/i386-linux-gnu/qt5/qml/builtins.qmltypes
/usr/lib/i386-linux-gnu/qt5/qml/QtQml/plugins.qmltypes
/usr/lib/i386-linux-gnu/qt5/qml/QtQml/qmldir
/usr/share/doc/libqt5qml5/changelog.Debian.gz
/usr/share/doc/libqt5qml5/copyright

Changelog

2018-04-14 - Dmitry Shachnev <mitya57@ubuntu.com>
qtdeclarative-opensource-src (5.9.5-0ubuntu1) bionic; urgency=medium
* New upstream release.
* Bump Qt build-dependencies to 5.9.5.
* Update Vcs fields for migration to salsa.debian.org.
* Refresh patches for the new release.
* Update symbols files for the new release.
* Bump qtdeclarative-abi-5-9-4 -> qtdeclarative-abi-5-9-5.
2018-02-25 - Simon Quigley <tsimonq2@ubuntu.com>
qtdeclarative-opensource-src (5.9.4-0ubuntu1) bionic; urgency=medium
* New upstream release.
* Bump qtdeclarative-abi-5-9-3 -> qtdeclarative-abi-5-9-4.
2017-11-30 - Simon Quigley <tsimonq2@ubuntu.com>
qtdeclarative-opensource-src (5.9.3-0ubuntu1) bionic; urgency=medium
* New upstream release.
* Bump Standards-version to 4.1.2, no changes needed.
* Refresh patches.
* Update symbols from build logs.
* Bump qtdeclarative-abi-5-9-2 -> qtdeclarative-abi-5-9-3.
2017-11-02 - Dmitry Shachnev <mitya57@ubuntu.com>
qtdeclarative-opensource-src (5.9.2-3ubuntu1) bionic; urgency=medium
* Merge from Debian unstable, remaining changes:
- Keep transitional packages until Bionic release.
- Add testcase_array_iteration.patch which fixes some test hangs.
2017-10-26 - Dmitry Shachnev <mitya57@debian.org>
qtdeclarative-opensource-src (5.9.2-3) unstable; urgency=medium
* Bump qtdeclarative-abi version to 5-9-2.
* Update debian/libqt5qml5.symbols from buildds’ logs.
* Temporarily revert upstream commit that caused issues in some KDE apps.
* Upload to unstable.
2017-10-20 - Dmitry Shachnev <mitya57@debian.org>
qtdeclarative-opensource-src (5.9.2-2) experimental; urgency=medium
* Update for Qt binaries location change in qtbase 5.9.2+dfsg-3.
- Update .install files for qtdeclarative5-dev-tools, qmlscene and qml.
- Provide compatibility symlinks for the old location.
- Bump qtbase5-private-dev and qttools5-dev-tools build-dependencies.
* Bump Standards-Version to 4.1.1, stop using deprecated Priority: extra.
2017-10-15 - Dmitry Shachnev <mitya57@debian.org>
qtdeclarative-opensource-src (5.9.2-1) experimental; urgency=medium
* New upstream release.
* Drop patches, applied upstream:
- fix_image_source_memory_leak.patch
- rebuild-QmlDatapropertyCache-if-deleted.patch
* Refresh and rebase other patches.
* Update symbols files from the current build log.
* Bump Qt build-dependencies to 5.9.2.
* Use dh_missing instead of deprecated dh_install --fail-missing.
2017-10-27 - Simon Quigley <tsimonq2@ubuntu.com>
qtdeclarative-opensource-src (5.9.1-6ubuntu1) bionic; urgency=medium
* Merge from Debian Sid. Remaining changes:
- Keep transitional packages. These can be dropped after the next LTS.
- Add testcase_array_iteration.patch which fixes some test hangs.
2017-09-07 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qtdeclarative-opensource-src (5.9.1-6) unstable; urgency=medium
* Add fix_image_source_memory_leak.patch to fix QTBUG-61754 (Closes: #874581).
* Update symbols files with buildds' logs.
2017-08-15 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qtdeclarative-opensource-src (5.9.1-5) unstable; urgency=medium
[ Lisandro Damián Nicanor Pérez Meyer ]
* Bump qtdeclarative-abi to 5-9-1 so it matches' qtbase's versioning. Plus
it's the version we are pushing to unstable.
[ Dmitry Shachnev ]
* Update symbols files for GCC 7 symbols changes.

See Also

Package Description
libqt5quick5_5.9.5-0ubuntu1_i386.deb Qt 5 Quick library
libqt5quickcontrols2-5_5.9.5-0ubuntu2_i386.deb Qt 5 Quick Controls 2 library
libqt5quickparticles5_5.9.5-0ubuntu1_i386.deb Qt 5 Quick particles module
libqt5quicktemplates2-5_5.9.5-0ubuntu2_i386.deb Qt 5 Quick Templates 2 library
libqt5quicktest5_5.9.5-0ubuntu1_i386.deb Qt 5 Quick Test library
libqt5quickwidgets5_5.9.5-0ubuntu1_i386.deb Qt 5 Quick Widgets library
libqt5scintilla2-designer_2.10.2+dfsg-4_all.deb Qt5 Designer plugin for QScintilla 2 (Transitional package)
libqt5script5_5.9.5+dfsg-0ubuntu1_i386.deb Qt 5 script module
libqt5scripttools5_5.9.5+dfsg-0ubuntu1_i386.deb Qt 5 script tools module
libqt5sensors5-dev_5.9.5-0ubuntu1_i386.deb Qt 5 Sensors development files
libqt5sensors5_5.9.5-0ubuntu1_i386.deb Qt Sensors module
libqt5serialport5-dev_5.9.5-0ubuntu1_i386.deb Qt 5 serial port development files
libqt5serialport5_5.9.5-0ubuntu1_i386.deb Qt 5 serial port support
libqt5sql5-ibase_5.9.5+dfsg-0ubuntu1_i386.deb Qt 5 Firebird database driver
libqt5sql5-mysql_5.9.5+dfsg-0ubuntu1_i386.deb Qt 5 MySQL database driver
Advertisement
Advertisement